Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.TYPE

    java.lang.Object
      java.lang.Enum<Contact.TYPE>
          com.skype.api.Contact.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Contact.TYPE>

Enclosing class:
  Contact

    public static enum Contact.TYPE

extends java.lang.Enum<Contact.TYPE>

Same as with CAPABILITY, enumerator is used by both Contact and Account objects.

Enum Constant Summary
`EMERGENCY_PSTN` Emergency number (i.e.
`EXTERNAL` This type is currently used by Windows desktop clients for contacts imported from Outlook.
`FREE_PSTN`
`PSTN` Normal PSTN contact.
`SKYPE` Normal Skype contact.
`UNDISCLOSED_PSTN` Undisclosed PSTN number.
`UNRECOGNIZED` Contact/account has no pre-identified type.

Method Summary
`static Contact.TYPE` | `fromString(java.lang.String s)`
`static Contact.TYPE` | `get(int code)`
`int` | `getId()`
`static Contact.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Contact.TYPE UNRECOGNIZED

  Contact/account has no pre-identified type. This type is reported by default for SkypeKit clients.

### SKYPE

    public static final Contact.TYPE SKYPE

  Normal Skype contact.

### PSTN

    public static final Contact.TYPE PSTN

  Normal PSTN contact.

### EMERGENCY_PSTN

    public static final Contact.TYPE EMERGENCY_PSTN

  Emergency number (i.e. 911).

### FREE_PSTN

    public static final Contact.TYPE FREE_PSTN

### UNDISCLOSED_PSTN

    public static final Contact.TYPE UNDISCLOSED_PSTN

  Undisclosed PSTN number.

### EXTERNAL

    public static final Contact.TYPE EXTERNAL

  This type is currently used by Windows desktop clients for contacts imported from Outlook.

Method Detail

### values

    public static Contact.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.TYPE c : Contact.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Contact.TYPE get(int code)

### fromString

    public static Contact.TYPE fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.